/*
 * Copyright (c) 2005-2010 KOM – Multimedia Communications Lab
 *
 * This file is part of Simonstrator.KOM.
 * 
 * Simonstrator.KOM is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 * 
 * PeerfactSim.KOM is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with PeerfactSim.KOM.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

package de.tudarmstadt.maki.simonstrator.api.component.sensor.battery;

/**
 * Provides access to a battery component that can be charged
 * 
 * @author Julian Zobel
 *
 */
public interface RechargableBattery extends BatterySensor {

	/**
	 * Charge the provided battery component with the given amount of energy in
	 * uJoule. Will not load battery more that maximum capacity.
	 * 
	 * @param energy
	 *            Energy to be charged in uJoule.
	 */
	public void chargeEnergy(double energy);

}
