package de.tudarmstadt.maki.simonstrator.api.component.uavsupport.strategy;

import de.tudarmstadt.maki.simonstrator.api.Message;
import de.tudarmstadt.maki.simonstrator.api.component.uavsupport.strategy.callbacks.StrategyCallback;


/**
 * Interface for a strategy that is running on a central control unit.
 * 
 * @author Julian Zobel
 */
public interface StrategyControl {

	/**
	 * Interface for the controller component to give a message to the strategy
	 * 
	 * @param message
	 */
	public void messageArrived(Message message);


	/**
	 * Start the strategy
	 * 
	 */
	public void startStrategy(StrategyCallback cb);

	/**
	 * Stop the strategy
	 * 
	 */
	public void stopStrategy();


	public void initialize();

}
